oro_behat_extension:
  elements:
    Localization Form:
      selector: 'form[name="oro_localization"]'
      class: Oro\Bundle\TestFrameworkBundle\Behat\Element\Form
      options:
        mapping:
          Name: 'oro_localization[name]'
          Title: 'oro_localization[titles][values][default]'
          Language: 'oro_localization[language]'
          Formatting: 'oro_localization[formattingCode]'
          Parent Localization:
            type: 'xpath'
            locator: '//div[contains(@id,"s2id_oro_localization_parentLocalization-uid")]//input'

    Localization Create Form:
      selector: 'form[name="oro_localization"]'
      class: Oro\Bundle\TestFrameworkBundle\Behat\Element\Form
      options:
        mapping:
          Title Default Value: 'oro_localization[titles][values][default]'
          Title English: 'oro_localization[titles][values][localizations][1][value]'
          Title Use: 'oro_localization[titles][values][localizations][1][use_fallback]'

    Fallback Status:
      selector: '.fallback-status [class^="fa-language"]'

  suites:
      OroLocaleBundle:
        contexts:
          - Oro\Bundle\TestFrameworkBundle\Tests\Behat\Context\OroMainContext
          - Oro\Bundle\DataGridBundle\Tests\Behat\Context\GridContext
          - Oro\Bundle\FormBundle\Tests\Behat\Context\FormContext
          - Oro\Bundle\ConfigBundle\Tests\Behat\Context\FeatureContext
          - Oro\Bundle\QueryDesignerBundle\Tests\Behat\Context\QueryDesignerContext
          - Oro\Bundle\ReportBundle\Tests\Behat\Context\FeatureContext
        paths:
          - '@OroLocaleBundle/Tests/Behat/Features'
